package com.simuwang.base.pojo.dto.report;

import com.smppw.common.pojo.enums.status.StatusCode;

public enum ReportParseStatus implements StatusCode {
    PARSE_FAIL(21000, "定期报告解析错误：{}"),
    NOT_A_REPORT(21001, "不是定期报告"),
    REPORT_IS_SCAN(21002, "报告为扫描件"),
    NO_SUPPORT_TEMPLATE(21003, "不支持的报告文件格式"),
    NOT_A_FIXED_FORMAT(21004, "不是基协统一格式"),
    PARSE_FUND_INFO_FAIL(21010, "没有解析到报告中的基金基本信息"),
    ;
    private final int code;
    private final String msg;

    ReportParseStatus(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public int getCode() {
        return this.code;
    }

    @Override
    public String getMsg() {
        return this.msg;
    }
}
